Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer
Class ColorFastAlignmentViewerCellRenderer

    java.lang.Object
      |
      +--uk.ac.man.bioinf.gui.viewer.ColorFastAlignmentViewerCellRenderer

All Implemented Interfaces:
  FastAlignmentViewerCellRenderer

public class ColorFastAlignmentViewerCellRenderer
extends Object
implements FastAlignmentViewerCellRenderer

ColorFastAlignmentViewerCellRenderer.java One of three classes designed to render cells in the JAlignmentViewer. This one deals specifically with the color of the cell (background).

By default, this will drawn first and other things placed on top of it. However, all this will be determined by the RendererManager. Created: Fri Aug 25 14:40:58 2000

Version:
  $Id: ColorFastAlignmentViewerCellRenderer.java,v 1.5 2001/04/11 17:04:42 lord Exp $
Author:
  Julian Selley

Constructor Summary
`ColorFastAlignmentViewerCellRenderer()`

Method Summary
`void` | `renderAlignmentViewerCell(Graphics g, int x, int y, int width, int height, JAlignmentViewer viewer, Element element, SequenceAlignmentPoint location, Color color, boolean isSelected, boolean hasFocus, boolean isAtPoint)` This method renders the cell at the given location in a graphics object, with reference to the JAlignmentViewer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorFastAlignmentViewerCellRenderer

    public ColorFastAlignmentViewerCellRenderer()

Method Detail

### renderAlignmentViewerCell

    public void renderAlignmentViewerCell(Graphics g,
                                          int x,
                                          int y,
                                          int width,
                                          int height,
                                          JAlignmentViewer viewer,
                                          Element element,
                                          SequenceAlignmentPoint location,
                                          Color color,
                                          boolean isSelected,
                                          boolean hasFocus,
                                          boolean isAtPoint)

  Description copied from interface: `FastAlignmentViewerCellRenderer`
  This method renders the cell at the given location in a graphics object, with reference to the JAlignmentViewer. It makes use of certain parameters, such as the color of the element being drawn.

  Specified by:
    `renderAlignmentViewerCell` in interface `FastAlignmentViewerCellRenderer`
  Parameters:
    `g` - the graphics object in use
    `x` - the 'x' location in the graphical display
    `y` - the 'y' location in the graphical display
    `width` - the width of the cell
    `height` - the height of the cell
    `viewer` - the JAlignmentViewer object
    `element` - the element being drawn
    `location` - the sequence alignment location of the element
    `color` - the background color of the element
    `isSelected` - whether the element is selected
    `hasFocus` - whether the element has focus
    `isAtPoint` - whether the cursor is at the elements point

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD